From e1410053455a497d32b1e896eb7e99a7224b6832 Mon Sep 17 00:00:00 2001
From: Miro Hrončok <miro@hroncok.cz>
Date: Aug 29 2018 20:40:58 +0000
Subject: Fix FTBFS (#1604819)


---

diff --git a/meshlab-2016.12-qprintable.patch b/meshlab-2016.12-qprintable.patch
new file mode 100644
index 0000000..9a916f6
--- /dev/null
+++ b/meshlab-2016.12-qprintable.patch
@@ -0,0 +1,20 @@
+--- a/src/meshlabserver/mainserver.cpp	2016-12-23 11:24:59.000000000 +0100
++++ b/src/meshlabserver/mainserver.cpp.a	2018-08-29 20:32:03.009295180 +0200
+@@ -897,7 +897,7 @@
+     }
+ 
+ 	if (meshDocument.size() < outmeshlist.size())
+-		fprintf(logfp, "Error: trying to save %i meshes, but only %i available in the project\n", qPrintable(outmeshlist.size()), qPrintable(meshDocument.size()));
++		fprintf(logfp, "Error: trying to save %i meshes, but only %i available in the project\n", outmeshlist.size(), meshDocument.size());
+ 	else
+ 	{
+ 		for (int ii = 0; ii < outmeshlist.size(); ++ii)
+@@ -911,7 +911,7 @@
+ 					fprintf(logfp, "Output mesh %s has NOT been saved\n", qPrintable(outmeshlist[ii].filename));
+ 			}
+ 			else
+-				fprintf(logfp, "Invalid layer %i. Output mesh %s will not be saved\n", qPrintable(ii), qPrintable(outmeshlist[ii].filename));
++				fprintf(logfp, "Invalid layer %i. Output mesh %s will not be saved\n", ii, qPrintable(outmeshlist[ii].filename));
+ 		}
+ 
+ 	}
diff --git a/meshlab-2016.12-qt-includes.patch b/meshlab-2016.12-qt-includes.patch
new file mode 100644
index 0000000..66e4f67
--- /dev/null
+++ b/meshlab-2016.12-qt-includes.patch
@@ -0,0 +1,21 @@
+--- a/src/meshlabplugins/render_gdp/shaderDialog.h	2016-12-23 11:24:59.000000000 +0100
++++ b/src/meshlabplugins/render_gdp/shaderDialog.h.a	2018-08-29 20:55:01.414996789 +0200
+@@ -32,6 +32,8 @@
+ #include "shaderStructs.h"
+ #include "ui_shaderDialog.h"
+ #include <QMap>
++#include <QLineEdit>
++#include <QSlider>
+ 
+ class QGLWidget;
+ 
+--- ./meshlab-2016.12/src/meshlabplugins/edit_paint/paintbox.cpp	2016-12-23 11:24:59.000000000 +0100
++++ ./meshlab-2016.12/src/meshlabplugins/edit_paint/paintbox.cpp.a	2018-08-29 21:19:42.411581082 +0200
+@@ -23,6 +23,7 @@
+ 
+ #include "paintbox.h"
+ #include <QFileDialog>
++#include <QAction>
+ 
+ Paintbox::Paintbox(QWidget * parent, Qt::WindowFlags flags) : QWidget(parent, flags)
+ {

